<?php
/**
 * The template for displaying comments
 *
 * @package basically-bootstrap-4
 */

 ?>

<div id="comments" class="comments-area">
  <?php
	if ( have_comments() ) : ?>
		<h2 class="comments-title">
			<?php
			$comments_number = get_comments_number();
			if ( '1' === $comments_number ) {
				printf( __( 'One Reply to &ldquo;%s&rdquo;', 'basically-bootstrap-4' ), get_the_title() );
			} else {
				printf(_n( '%1$s Reply to &ldquo;%2$s&rdquo;', '%1$s Replies to &ldquo;%2$s&rdquo;', $comments_number, 'basically-bootstrap-4' ), number_format_i18n( $comments_number ), get_the_title() );
			}
			?>
		</h2>

		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					'avatar_size' => 100,
					'style'       => 'ol',
					'short_ping'  => true,
					'reply_text'  => __( 'Reply', 'basically-bootstrap-4' ),
				) );
			?>
		</ol>

		<?php the_comments_pagination( array(
			'prev_text' => '<span class="screen-reader-text">' . __( 'Previous', 'basically-bootstrap-4' ) . '</span>',
			'next_text' => '<span class="screen-reader-text">' . __( 'Next', 'basically-bootstrap-4' ) . '</span>',
		) );

	endif;

	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
		<div class="no-comments"><?php _e( 'Comments are closed.', 'basically-bootstrap-4' ); ?></div>
	<?php
	endif;

    $fields = array(
      'author' => '<div class="comment-form-author form-group"><label for="author">' . __( 'Name', 'basically-bootstrap-4' ) . '</label>'. ( $req ? '<span class="required">*</span>' : '' ) . '<input id="author" class="form-control" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30" />' . '</div>',
      'email' => '<div class="comment-form-email form-group"><label for="email">' . __( 'Email', 'basically-bootstrap-4' ) . '</label>'. ( $req ? '<span class="required">*</span>' : '' ) . '<input id="email" class="form-control" name="email" type="email" value="' . esc_attr( $commenter['comment_author_email'] ) . '" size="30" />' . '</div>'
    );

    $args = array(
      'comment_field' => '<div class="comment-form-comment form-group"><label for="comment">' . __( 'Comment', 'basically-bootstrap-4' ) . '</label><textarea id="comment" name="comment" class="form-control" cols="45" rows="8" aria-required="true"></textarea></div>',
      'fields' => $fields,
      'class_submit' => 'submit btn',
    );

    comment_form( $args );
  ?>
</div>
