<?php
/**
* The theme header content.
*
* @package basically-bootstrap-4
*/

$header_style = (get_theme_mod('basically_bootstrap_4_header_style') ? get_theme_mod('basically_bootstrap_4_header_style') : 'left');
$site_branding = (get_theme_mod('basically_bootstrap_4_header_site_branding') ? get_theme_mod('basically_bootstrap_4_header_site_branding') : 'small');

switch ($site_branding) {
  case 'small':
    $site_branding_class = 'col-md-2';
    $navigaion_class = 'col-md-10';
    break;
  case 'medium':
    $site_branding_class = 'col-md-4';
    $navigaion_class = 'col-md-8';
    break;
  case 'large':
    $site_branding_class = 'col-md-6';
    $navigaion_class = 'col-md-6';
    break;
  default:
    $site_branding_class = 'col-md-2';
    $navigaion_class = 'col-md-10';
    break;
}

switch ($header_style) {
  case 'middle':
    echo '<div class="col-12 middle d-flex justify-content-center">';
    echo get_template_part('/template-parts/site-branding');
    echo '</div>';
    echo '<div class="col-12 middle d-flex justify-content-center">';
    echo get_template_part('/template-parts/navigation');
    echo '</div>';
    break;
  case 'left':
    echo '<div class="' . $site_branding_class .' style-left left d-flex justify-content-md-start justify-content-center">';
    echo get_template_part('/template-parts/site-branding');
    echo '</div>';
    echo '<div class="' . $navigaion_class .' right d-flex justify-content-md-end justify-content-center">';
    echo get_template_part('/template-parts/navigation');
    echo '</div>';
    break;
  case 'right':
    echo '<div class="' . $navigaion_class .' style-right left d-flex justify-content-md-start justify-content-center">';
    echo get_template_part('/template-parts/navigation');
    echo '</div>';
    echo '<div class="' . $site_branding_class .' right d-flex justify-content-md-end justify-content-center">';
    echo get_template_part('/template-parts/site-branding');
    echo '</div>';
    break;
  default:
    break;
}
?>
